library poly_elements.poly_dropdown;

import 'package:polymer/polymer.dart';
import 'package:paper_elements/paper_menu_button_overlay.dart';
import 'package:paper_elements/paper_item.dart';
import 'dart:html';

@CustomTag('poly-dropdown')
class PolyDropdown extends PolymerElement {  
  PolyDropdown.created(): super.created();
    
  void attached(){
    super.attached();
  }
    
  String getSelected(){
    return (shadowRoot.querySelector('#nowItem') as PaperItem).label;
  }
  
	void toggle(Event e, var detail, Node target){
	  PaperMenuButtonOverlay tmp = shadowRoot.querySelector('#btnOverlay');
	  tmp.toggle();
	}
	
	void overlayTap(Event e, var detail, Node target){
	  PaperItem item = shadowRoot.querySelector('#nowItem');
	  item.label = ((e.target) as PaperItem).label;
	  PaperMenuButtonOverlay tmp = target;
	  tmp.toggle();
	}
  
	void _swapIcon(){
	  PaperItem item = shadowRoot.querySelector('#nowItem');
        if (item.icon == "unfold-more"){
          item.icon = "unfold-less";
        } else {
          item.icon = "unfold-more";
        }
	}
}